# Upstream has no tags (sigh) so we'll just pull current HEAD as of 2023-12-29
%global commit 7aaf717fef6a83e4568b67729d5b0267453de815

Name:		libbgcode
# pyproject.toml says...
Version:	0.2.0
Release:	1%{?dist}
# Can't find any reference to "later", so we'll assume only.
License:	AGPL-3.0-only
URL:		https://github.com/prusa3d/libbgcode
Source0:	https://github.com/prusa3d/libbgcode/archive/%{commit}.tar.gz
Summary:	Prusa Block & Binary G-code reader / writer / converter
BuildRequires:	cmake, gcc-c++, python3-devel
BuildRequires:  boost-devel, zlib-devel, heatshrink-devel, catch2-devel

%description
Prusa Block & Binary G-code reader / writer / converter.

%package devel
Requires:	%{name}%{?_isa} = %{version}-%{release}
Summary:	Development files for libbgcode

%description devel
Development files for libbgcode.

%prep
%setup -q -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_bindir}/bgcode
%{_libdir}/libbgcode_binarize.so.*
%{_libdir}/libbgcode_convert.so.*
%{_libdir}/libbgcode_core.so.*

%files devel
%{_includedir}/LibBGCode/
%{_libdir}/cmake/LibBGCode/
%{_libdir}/libbgcode_binarize.so
%{_libdir}/libbgcode_convert.so
%{_libdir}/libbgcode_core.so

%changelog
* Fri Dec 29 2023 Tom Callaway <spot@fedoraproject.org> - 0.2.0-1
- initial package
